<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.persagy.dmp.rwd.demand.dao.DictionaryDemandMapper">

    <update id="updateMaxCode">
        update dt_demand m, (select ifnull(max(code), '9999')+1 as max_code from dt_demand) n
        set m.code = n.max_code where m.id = #{id} and m.code is null
	</update>
</mapper>
